<?php defined('SYSPATH') OR die('No direct script access.');

class Auth {
    
    public static function login($id)
    {
        $session = Session::instance();
        $session->set('LoggedIn', true)->set('ID', $id);
    }
    
    public static function isLoggedIn()
    {
        return Session::instance()->get('LoggedIn');
    }
    
    public static function logout()
    {
        Session::instance()->set('LoggedIn', false)->restart();
    }
    
    public static function setAccountType($type)
    {
        return Session::instance()->set('Type', $type);
    }
    
    public static function getData()
    {
        return Session::instance()->as_array();
    }
}
